Bug 98058 - es1371 fails to function, even though it is installed
es1371 fails to function, even though it is installed
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
9
i586 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-06-25 17:01 EDT by Bob
Modified: 2007-04-18 12:55 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:41:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bob 2003-06-25 17:01:43 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.3) Gecko/20030312

Description of problem:
soundcard is detected by sndconfig but does not work. The module is es1371, and
lsmod list does not list it.  However, insmod es1371 says it is already
installed. There is no sound played from "play test sound" or using an audio Cd,
mp3 wav files, etc. Web support has helped and suggested I submit a bug report.
The card is on irq 11 by itself. Thanks.  Have been told that this card does
work in Red Hat Linux 9.0

Version-Release number of selected component (if applicable):
kernel 2.4.20-18.9

How reproducible:
Always

Steps to Reproduce:
1.run lsmod and the card is not listed.
2.run insmod es1371 and it says "already exists"
3. sndconfig detedts the es1371 card, but won't play a "test sound'
    

Actual Results:  file exist is listed, but the card in not shown in lsmod

Expected Results:  not sure. was hoping the card would be installed correctly. 

Additional info:

Have been told taht this card DOES work with Red Hat Linux 9.0  If there is an
irq conflict ( irq 11) can it be corrected?
Comment 1 Bill Nottingham 2003-06-25 18:03:01 EDT
This is probably a driver issue.

Do you have any USB devices attached?
Comment 2 Bob 2003-06-29 17:43:14 EDT
USB 1 devices on the system are: USB HP Photosmart S20 scanner, a ZiO! compact
flash card reader and a 4 port USB Hub. Also, Mandrake Linux detected this sound
card and it worked well with the exact same hardware and USB devices. Not sure
if there are similar drivers used between Red Hat and Mandrake but maybe it will
be helpful.
Comment 3 Alan Cox 2003-07-05 09:27:10 EDT
The es1371 drivers are identical between Red Hat and Mandrake last time I checked.
Comment 4 Bob 2003-07-05 17:31:48 EDT
If the Mandrake and Red Hat Linux drivers are identical, then why doesn't this
work? Same computer. No new devices of any kind  have been added for a few
years. so it's strange to me that the soundcard doesn't work. Linux is a new
thing for me and a learning experience, so there are NO critical files or data
that I need. so anything that can be done in a "try this" mode is fine with me.
As long as it has a reasonalbe chance of fixing the problem. Thanks to everyone
for their help.
Comment 5 Bob 2003-07-06 09:00:47 EDT
 Just opened a terminal window as root and decided to run insmod for a few
modules and the results are entered below. Hope this helps with the soundcard
problem.

[benjie1@localhost benjie1]$ su - #
Password:
[root@localhost root]# insmod audio
Using /lib/modules/2.4.20-18.9/kernel/drivers/usb/audio.o
insmod: a module named audio already exists
[root@localhost root]# insmod soundcore
Using /lib/modules/2.4.20-18.9/kernel/drivers/sound/soundcore.o
insmod: a module named soundcore already exists
[root@localhost root]# insmod es1371
Using /lib/modules/2.4.20-18.9/kernel/drivers/sound/es1371.o
/lib/modules/2.4.20-18.9/kernel/drivers/sound/es1371.o: unresolved symbol gamepo
rt_unregister_port_R70daab68
/lib/modules/2.4.20-18.9/kernel/drivers/sound/es1371.o: unresolved symbol ac97_p
robe_codec_R83a75e83
/lib/modules/2.4.20-18.9/kernel/drivers/sound/es1371.o: unresolved symbol gamepo
rt_register_port_R98692e58
[root@localhost root]# lsmod
Module                  Size  Used by    Not tainted
parport_pc             19076   1  (autoclean)
lp                      8996   0  (autoclean)
parport                37056   1  (autoclean) [parport_pc lp]
autofs                 13268   0  (autoclean) (unused)
tulip                  43840   1
ipt_REJECT              3992   6  (autoclean)
iptable_filter          2412   1  (autoclean)
ip_tables              15096   2  [ipt_REJECT iptable_filter]
sg                     36524   0  (autoclean)
sr_mod                 18136   0  (autoclean)
ide-scsi               12208   0
scsi_mod              107544   3  [sg sr_mod ide-scsi]
ide-cd                 35712   0
cdrom                  33728   0  [sr_mod ide-cd]
scanner                11736   0  (unused)
audio                  46680   0
soundcore               6404   2  [audio]
keybdev                 2976   0  (unused)
mousedev                5556   1
hid                    22244   0  (unused)
input                   5856   0  [keybdev mousedev hid]
usb-uhci               26412   0  (unused)
usbcore                79040   1  [scanner audio hid usb-uhci]
ext3                   70784   2
jbd                    51924   2  [ext3]
[root@localhost root]#
Comment 6 Bugzilla owner 2004-09-30 11:41:12 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.